Name:		gst-editing-services
Version:        1.18.4
Release:        3
Summary:	Gstreamer editing services
License:	GPLv2+ and LGPLv2+
URL:		http://cgit.freedesktop.org/gstreamer/gst-editing-services
Source0:        https://github.com/GStreamer/gst-editing-services/archive/refs/tags/%{version}.tar.gz

BuildRequires:  meson >= 0.48.0 gcc gstreamer1-devel >= 1.6.0 gstreamer1-plugins-base-devel >= 1.6.0
BuildRequires:	gstreamer1-plugins-bad-free-devel >= 1.6.0 gobject-introspection-devel flex
BuildRequires:	bash-completion >= 2.0 python3-devel pygobject3-devel

%description
This is a high-level library for facilitating the creation of audio/video
non-linear editors.

%package devel
Summary: Development files for gst-editing-services
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}

%prep
%setup -q -n gst-editing-services-%{version}

%build
%meson \
	-D validate=disabled \
	-D doc=disabled \

%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
cp data/completions/ges-launch-1.0 \
        %{buildroot}%{_datadir}/bash-completion/completions/ges-launch-1.0

%ldconfig_scriptlets

%files
%doc ChangeLog COPYING* README RELEASE NEWS AUTHORS
%{_bindir}/ges-launch-1.0
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GES-1.0.typelib
%{_datadir}/bash-completion/completions/ges-launch-1.0
%doc %{_mandir}/man1/ges-launch-1.0.*
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.py
%{_datadir}/gstreamer-1.0/validate/scenarios/ges-edit-clip-while-paused.scenario
%{python3_sitelib}/gi/overrides/*
%{_libdir}/gstreamer-1.0/*.so

%files devel
%doc docs/
%{_libdir}/*.so
%{_includedir}/gstreamer-1.0/ges/
%{_libdir}/pkgconfig/gst-editing-services-1.0.pc
%{_datadir}/gir-1.0/GES-1.0.gir

%changelog
* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.18.4-3
- add gst-editing-services.yaml

* Wed Jul 28 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.18.4-2
- Correct python3 related files' path

* Tue Jun 15 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.18.4-1
- Package init with version 1.18.4
